xgboost

Public Member Functions | List of all members
xgboost::common::ColumnMatrix Class Reference

a collection of columns, with support for construction from GHistIndexMatrix. More...

`#include <column_matrix.h>`

Collaboration diagram for xgboost::common::ColumnMatrix:

## Public Member Functions
bst_uint | GetNumFeature () const
void | Init (const GHistIndexMatrix &gmat, double sparse_threshold)
void | SetTypeSize (size_t max_num_bins)
template<typename BinIdxType >
std::unique_ptr< const Column< BinIdxType > > | GetColumn (unsigned fid) const
template<typename T >
void | SetIndexAllDense (T *index, const GHistIndexMatrix &gmat, const size_t nrow, const size_t nfeature, const bool noMissingValues)
template<typename T >
void | SetIndex (uint32_t *index, const GHistIndexMatrix &gmat, const size_t nrow, const size_t nfeature)
const BinTypeSize | GetTypeSize () const
const bool | NoMissingValues (const size_t n_elements, const size_t n_row, const size_t n_features)

## Detailed Description

a collection of columns, with support for construction from GHistIndexMatrix.

## Member Function Documentation

## ◆ GetColumn()

template<typename BinIdxType >

std::unique_ptr<const Column<BinIdxType> > xgboost::common::ColumnMatrix::GetColumn | ( | unsigned | fid | ) | const
| inline

## ◆ GetNumFeature()

bst_uint xgboost::common::ColumnMatrix::GetNumFeature | ( |  | ) | const
| inline

## ◆ GetTypeSize()

const BinTypeSize xgboost::common::ColumnMatrix::GetTypeSize | ( |  | ) | const
| inline

## ◆ Init()

void xgboost::common::ColumnMatrix::Init | ( | const GHistIndexMatrix & | gmat,
|  | double | sparse_threshold
| ) |  |
| inline

## ◆ NoMissingValues()

const bool xgboost::common::ColumnMatrix::NoMissingValues | ( | const size_t | n_elements,
|  | const size_t | n_row,
|  | const size_t | n_features
| ) |  |
| inline

## ◆ SetIndex()

template<typename T >

void xgboost::common::ColumnMatrix::SetIndex | ( | uint32_t * | index,
|  | const GHistIndexMatrix & | gmat,
|  | const size_t | nrow,
|  | const size_t | nfeature
| ) |  |
| inline

## ◆ SetIndexAllDense()

template<typename T >

void xgboost::common::ColumnMatrix::SetIndexAllDense | ( | T * | index,
|  | const GHistIndexMatrix & | gmat,
|  | const size_t | nrow,
|  | const size_t | nfeature,
|  | const bool | noMissingValues
| ) |  |
| inline

## ◆ SetTypeSize()

void xgboost::common::ColumnMatrix::SetTypeSize | ( | size_t | max_num_bins | ) |
| inline

The documentation for this class was generated from the following file:

- /workspace/src/common/column_matrix.h